Index: MpdlXmlTextServer.py
===================================================================
--- MpdlXmlTextServer.py	(revision 435)
+++ MpdlXmlTextServer.py	(revision 436)
@@ -86,5 +86,5 @@
                             pagexml=href.replace('mode=text','mode=texttool&viewMode=%s&queryType=%s&query=%s&queryResultPageSize=%s&queryResultPN=%s&tocMode=%s&searchPN=%s&tocPN=%s&optionToggle=%s&characterNormalization=%s'%(viewMode,queryType,urllib.quote(query),pagesize,pn,tocMode,pn,tocPN,optionToggle,characterNormalization))
                             hrefNode.nodeValue = pagexml.replace('page-fragment.xql','%s'%selfurl)                                           
-                logging.debug("PUREXML :%s"%(serializeNode(pagenode)))
+                #logging.debug("PUREXML :%s"%(serializeNode(pagenode)))
                 return serializeNode(pagenode)        
         if (queryType=="fulltextMorph"):
@@ -151,5 +151,5 @@
             hrefList.append(href)
             myList = ",".join(hrefList)
-        logging.debug("getGisPlaces :%s"%(myList))                             
+        #logging.debug("getGisPlaces :%s"%(myList))                             
         return myList
     
@@ -172,5 +172,5 @@
             hrefList.append(href)
             myList = ",".join(hrefList)
-            logging.debug("getALLGisPlaces :%s"%(myList))
+            #logging.debug("getALLGisPlaces :%s"%(myList))
         return myList
           
@@ -203,7 +203,8 @@
         #original Pages
         pagedivs = dom.xpath("//div[@class='pageNumberOrig']")
-        if pagedivs == dom.xpath("//div[@class='pageNumberOrig']"):
+        """if pagedivs == dom.xpath("//div[@class='pageNumberOrig']"):
             if len(pagedivs)>0:
                 docinfo['pageNumberOrig']= getTextFromNode(pagedivs[0])
+                logging.debug("ORIGINAL PAGE: %s"%(docinfo['pageNumberOrig']))
         
         #original Pages Norm
@@ -212,5 +213,6 @@
             if len(pagedivs)>0:
                 docinfo['pageNumberOrigNorm']= getTextFromNode(pagedivs[0])
-        
+                logging.debug("ORIGINAL PAGE NORM: %s"%(docinfo['pageNumberOrigNorm']))
+        """
         #figureEntries
         pagedivs = dom.xpath("//div[@class='countFigureEntries']")
@@ -364,4 +366,29 @@
         return "no text here"
     
+    def getOrigPages(self, docinfo=None, pageinfo=None):
+        docpath = docinfo['textURLPath']
+        pn =pageinfo['current']
+        selfurl = self.absolute_url()   
+        pagexml = self.getServerData("page-fragment.xql","document=%s&pn=%s"%(docpath, pn))
+        dom = Parse(pagexml)
+        pagedivs = dom.xpath("//div[@class='pageNumberOrig']")
+        if pagedivs == dom.xpath("//div[@class='pageNumberOrig']"):
+            if len(pagedivs)>0:
+                docinfo['pageNumberOrig']= getTextFromNode(pagedivs[0])        
+                return docinfo['pageNumberOrig']
+    
+    def getOrigPagesNorm(self, docinfo=None, pageinfo=None):
+        docpath = docinfo['textURLPath']
+        pn =pageinfo['current']
+        selfurl = self.absolute_url()   
+        pagexml = self.getServerData("page-fragment.xql","document=%s&pn=%s"%(docpath, pn))
+        dom = Parse(pagexml)
+        pagedivs = dom.xpath("//div[@class='pageNumberOrigNorm']")
+        if pagedivs == dom.xpath("//div[@class='pageNumberOrigNorm']"):
+            if len(pagedivs)>0:
+                docinfo['pageNumberOrigNorm']= getTextFromNode(pagedivs[0])        
+                return docinfo['pageNumberOrigNorm']
+
+                
     def getTranslate(self, query=None, language=None):
         """translate into another languages"""
Index: documentViewer.py
===================================================================
--- documentViewer.py	(revision 435)
+++ documentViewer.py	(revision 436)
@@ -47,8 +47,8 @@
     """returns a string containing node as XML"""
     stream = cStringIO.StringIO()
-    logging.debug("BUF: %s"%(stream))
+    #logging.debug("BUF: %s"%(stream))
     Ft.Xml.Domlette.PrettyPrint(node, stream=stream, encoding=encoding)
     s = stream.getvalue()
-    logging.debug("BUF: %s"%(s))
+    #logging.debug("BUF: %s"%(s))
     stream.close()
     return s
@@ -231,5 +231,13 @@
         """get page"""
         return self.template.fulltextclient.getTextPage(**args)
-    
+
+    def getOrigPages(self, **args):
+        """get page"""
+        return self.template.fulltextclient.getOrigPages(**args)
+    
+    def getOrigPagesNorm(self, **args):
+        """get page"""
+        return self.template.fulltextclient.getOrigPagesNorm(**args)
+
     def getQuery(self, **args):
         """get query in search"""
